/******************************************************************************\
*
* Apple Macintosh Developer Technical Support
*
* Resource definitions file for the ColorReset application
*
* Program: ColorReset
* File:    ColorReset.r
*
* by:      Forrest Tanaka
*
* Copyright  1988-1992 Apple Computer, Inc.
* All rights reserved.
*
\******************************************************************************/

#include "Types.r"
#include "SysTypes.r"

resource 'WIND' (128, "QMundo Document", purgeable) {
	{0, 0, 256, 256},
	documentProc,
	invisible,
	goAway,
	0x0,
	Untitled
};

resource 'WIND' (512, "Choose Profiles", purgeable) {
	{0, 0, 170, 447},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	"New Window"
};

resource 'MENU' (128) {
	128,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About QMundo", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (130) {
	130,
	textMenuProc,
	0x7FFFFFBD,
	enabled,
	"Edit",
	{	/* array: 6 elements */
		/* [1] */
		"Undo", noIcon, "Z", noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain,
		/* [3] */
		"Cut", noIcon, "X", noMark, plain,
		/* [4] */
		"Copy", noIcon, "C", noMark, plain,
		/* [5] */
		"Paste", noIcon, "V", noMark, plain,
		/* [6] */
		"Clear", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (129) {
	129,
	textMenuProc,
	0x7FFFFFED,
	enabled,
	"File",
	{	/* array: 6 elements */
		/* [1] */
		"Open...", noIcon, "O", noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain,
		/* [3] */
		"Close", noIcon, "W", noMark, plain,
		/* [4] */
		"Save As...", noIcon, noKey, noMark, plain,
		/* [5] */
		"-", noIcon, noKey, noMark, plain,
		/* [6] */
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (131) {
	131,
	textMenuProc,
	allEnabled,
	enabled,
	"Display",
	{	/* array: 2 elements */
		/* [1] */
		"Reset Colors With Palette", noIcon, noKey, noMark, plain,
		/* [2] */
		"Reset Colors With RestoreDeviceClut", noIcon, noKey, noMark, plain
	}
};

resource 'DITL' (6010, "OK Alert", purgeable) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{80, 290, 100, 358},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{80, 209, 100, 277},
		StaticText {
			disabled,
			""
		},
		/* [3] */
		{7, 75, 71, 358},
		StaticText {
			disabled,
			"^0"
		}
	}
};

resource 'DITL' (6011, "OK/Cancel Alert", purgeable) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{80, 290, 100, 358},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{80, 209, 100, 277},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{7, 75, 71, 358},
		StaticText {
			disabled,
			"^0"
		}
	}
};

resource 'DITL' (6012, "Save Alert", purgeable) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{80, 290, 100, 358},
		Button {
			enabled,
			"Save"
		},
		/* [2] */
		{80, 209, 100, 277},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{80, 75, 100, 155},
		Button {
			enabled,
			"Dont Save"
		},
		/* [4] */
		{7, 75, 71, 358},
		StaticText {
			disabled,
			"Save changes to the CheapScan document "
			"^0 before quitting?"
		}
	}
};

resource 'DITL' (512, "Choose Profiles", purgeable) {
	{	/* array DITLarray: 8 elements */
		/* [1] */
		{136, 368, 156, 426},
		Button {
			enabled,
			"Match"
		},
		/* [2] */
		{136, 297, 156, 355},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{44, 15, 126, 215},
		UserItem {
			disabled
		},
		/* [4] */
		{44, 232, 126, 432},
		UserItem {
			disabled
		},
		/* [5] */
		{24, 15, 40, 215},
		StaticText {
			disabled,
			"Source:"
		},
		/* [6] */
		{24, 232, 40, 432},
		StaticText {
			disabled,
			"Destination:"
		},
		/* [7] */
		{4, 15, 20, 432},
		StaticText {
			disabled,
			"Choose the source and destination profil"
			"es"
		},
		/* [8] */
		{20, 15, 22, 432},
		UserItem {
			disabled
		}
	}
};

resource 'ALRT' (6010, "OK", purgeable) {
	{0, 0, 108, 368},
	6010,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'ALRT' (6011, "OK/Cancel", purgeable) {
	{0, 0, 112, 368},
	6011,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'ALRT' (6012, "Save/Cancel/Dont Save", purgeable) {
	{0, 0, 112, 368},
	6012,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'STR#' (1000, "Memory Error Messages", purgeable) {
	{	/* array StringArray: 2 elements */
		/* [1] */
		"There isnt enough memory to open this a"
		"pplication.",
		/* [2] */
		"There isnt enough memory to open the do"
		"cument."
	}
};

resource 'STR#' (1001, "Resource Error Messages", purgeable) {
	{	/* array StringArray: 1 elements */
		/* [1] */
		"This application appears to be damaged. "
		"Try using a different copy."
	}
};

resource 'STR#' (1002, "Miscellaneous Error Messages", purgeable) {
	{	/* array StringArray: 3 elements */
		/* [1] */
		"An error thats unrecognised by this app"
		"lication has occured.",
		/* [2] */
		"QuickTime is not available on this Macin"
		"tosh. QMundo requires QuickTime.",
		/* [3] */
		"Some sort of QuickTime error occured."
	}
};

resource 'STR#' (1003, "File Error Messages", purgeable) {
	{	/* array StringArray: 1 elements */
		/* [1] */
		"This file cant be opened because its a"
		"lready open in another application."
	}
};

resource 'vers' (1, purgeable) {
	0x1,
	0x0,
	development,
	0x1,
	verUS,
	"1.0d1",
	"1.0d1,  Apple Computer, Inc. 1991"
};

resource 'SIZE' (-1, purgeable) {
	reserved,
	acceptSuspendResumeEvents,
	reserved,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	1593344,
	393216
};

resource 'MBAR' (128, purgeable) {
	{	/* array MenuArray: 4 elements */
		/* [1] */
		128,
		/* [2] */
		129,
		/* [3] */
		130,
		/* [4] */
		131
	}
};

resource 'CNTL' (128, purgeable) {
	{0, 0, 0, 0},
	0,
	visible,
	0,
	0,
	scrollBarProc,
	0,
	""
};

resource 'CURS' (128, purgeable) {
	$"0000 07E0 0FF0 1FF8 3FFC 7FFE 7FFE 7FFE"
	$"7FFE 7FFE 7FFE 3FFC 1FF8 0FF0 07E0",
	$"07E0 1FF8 3FFC 7FFE 7FFE FFFF FFFF FFFF"
	$"FFFF FFFF FFFF 7FFE 7FFE 3FFC 1FF8 07E0",
	{7, 7}
};

